// wind_misc_utils.h

#include "Arduino.h"
#include <ESP8266WiFi.h>
#include <WiFiClient.h>

#ifndef WIND_MISC_UTILS_H
#define WIND_MISC_UTILS_H

void appendf(String *output, char *fmt, ...);

void getTimeString(uint32 msecs, String *output);

void joinWiFiNetwork(char* ssid, char* password);

void normalizeRGBtoMax(int max, int *red, int *green, int * blue);

String parseFileName(String url);

void parseRGB(String url, char start_c, char term_c, int *red, int *green, int * blue);

class RingBuffer {
  public:
    RingBuffer(int size);
    void Insert(int16_t value);
    int PreviousIndex(int pos);
    int NextIndex(int pos);
    
    int FindGT(int16_t value);
    int FindLT(int16_t value); 
  
  private:
    int16_t* values_;
    int size_;
    int next_;
};

#endif
