// wind_webserver.h

#include "Arduino.h"
#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <WiFiServer.h>
#include "FS.h"  // Spiff file system

#ifndef WIND_WEBSERVER_H
#define WIND_WEBSERVER_H

class WindWebServer {
  public:
    WindWebServer(int port);
    
    WiFiClient* CheckForClient();
    WiFiClient* Client();
    bool ClientAvailable();
    bool ClientConnected();
    
    String ReadLine();
    String ReadPost();
    
    void ReturnHtml();
    void ReturnFile(const char* file_name);

  private:
    void BufferLine(); 
    
    WiFiClient client_;
    WiFiServer* server_;
    
    static const int kMaxBufferSize = 1024;
    char line_buffer_[kMaxBufferSize];
    int line_buffer_size_ = 0;
};

#endif